Package Details: instantbird 1.5-1

Git Clone URL: https://aur.archlinux.org/instantbird.git (read-only)
Package Base: instantbird
Description: Instant messenger using libpurple and xulrunner
Upstream URL: http://instantbird.com
Licenses: GPL, MPL, LGPL
Submitter: ConnorBehan
Maintainer: ConnorBehan
Last Packager: ConnorBehan
Votes: 41
Popularity: 0.000000
First Submitted: 2008-08-24 23:32
Last Updated: 2015-07-08 15:00

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 Next › Last »

Anonymous comment on 2011-11-11 10:56

I have xulrunner-8.0 and x86_64. I do not have /usr/include/xulrunner-7.0, I have /usr/include/xulrunner-8.0 instead and there is no such header file. I'm not sure what is xul sdk path, but in mozconfig I have ' ac_add_options --with-libxul-sdk=/usr/lib/xulrunner-devel-8.0 '

ConnorBehan commented on 2011-11-11 10:26

I have the file in /usr/include/xulrunner-7.0. Can you verify the xul sdk path that the PKGBUILD is passing to the configure script? And are you using i686 or x86_64?

Anonymous comment on 2011-11-11 09:57

$ wget 'https://aur.archlinux.org/packages/in/instantbird/instantbird.tar.gz'
<...>
$ tar -xzvf instantbird.tar.gz && cd instantbird
$ makepkg
==> Making package: instantbird 1.1-1 (Fri Nov 11 11:55:48 EET 2011)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving Sources...
-> Found instantbird-1.1.src.tgz
-> Found nss.patch
-> Found python2.7.patch
-> Found mozconfig
-> Found instantbird.desktop
==> Validating source files with md5sums...
instantbird-1.1.src.tgz ... Passed
nss.patch ... Passed
python2.7.patch ... Passed
mozconfig ... Passed
instantbird.desktop ... Passed
==> Extracting Sources...

<...>

/tmp/instantbird/src/instantbird-1.1-src/purple/purplexpcom/src/purpleInitAccounts.cpp:46:34: fatal error: nsIDOMWindowInternal.h: No such file or directory
compilation terminated.
make[5]: *** [purpleInitAccounts.o] Error 1

ConnorBehan commented on 2011-10-20 01:38

Seriously? It's in base-devel.

Anonymous comment on 2011-10-19 22:38

please add 'm4' to makedepends

Anonymous comment on 2011-10-18 19:15

Instantbird 1.1 is out, source: http://blog.instantbird.org/2011/10/instantbird-1-1-released/

wonder commented on 2011-07-17 19:50

have you guys tried to recompile instantbird. Mozilla is breaking binary compatibility with every new version.

to solve this issue you must recompile or switch to internal xul from instantbird and stop using shared xul

maxie commented on 2011-07-17 19:26

With a downgrade to xulrunner v2 and reinstallation of instantbird, instantbird is working.

ConnorBehan commented on 2011-07-16 01:55

Yeah, I just updated xulrunner to 5.0 and got the same error. That's because upstream is out of date, so there's not much I can do.

maxie commented on 2011-07-15 06:27

building works fine, but starting brings up the following error message: Could not find the Mozilla runtime. (no matter if starting as user, root, or from /usr/bin/)
32 bit, xulrunner version: Mozilla XULRunner 5.0 - 20110711114231